<template>
  <div>
    <Layout>
    <div class="holder flex h-screen w-screen justify-center items-center" :style="`background-Image:url('https://wallpaperaccess.com/full/1204630.jpg')`">
      <div class="w-full bg-white rounded-xl shadow-xl md:w-1/3">
        <h1 class="text-center font-bold text-2xl mt-4">Log in</h1>
        <form @submit.prevent="login" v-if="form">
          <div v-for="input,index of form" :key="index" class="md:mx-10 m-3">
            <label :for="input.name" class="text-gray-500" v-text="input.name"></label>
            <input :type="input.type" 
              :id="input.name" 
              v-model="input.initialValue"
              :placeholder="input.placeholder"
              class="w-full border rounded py-1 px-3">
          </div>
          <div class="md:mx-10 m-3 text-center">
            <button type="submit" class="bg-purple-700 rounded py-2 text-white px-5">Login</button>
          </div>
        </form>
      </div>
    </div>
    </Layout>
  </div>
</template>

<script>
import Layout from '../components/Layout.vue'
import login_config from '/API/login.json'

export default {
  name: 'Login',
  components: { Layout },
  data(){
    return{
      form: []
    }
  },
  mounted(){
    let login_api = login_config.sections;
    this.form = login_api.rows[0].fields
  },
  methods:{
    login(){
      this.$axios.post('/login', this.form).then(response => {
        if(response == 200){

        }
      }).catch(error => {

      }).finally(()=>{
        this.$router.push('/users')
      });
    }
  }
}
</script>

<style scoped>
  .holder{
    background-size: cover;
  }
</style>
